Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.index
Class CollectionStore.DocumentKey

    java.lang.Object
      org.exist.storage.btree.Value
          org.exist.storage.index.CollectionStore.DocumentKey

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  CollectionStore

public static class CollectionStore.DocumentKey
extends Value

Constructor Summary
`CollectionStore.DocumentKey(short collectionId)`
`CollectionStore.DocumentKey(short collectionId, byte type, int docId)`

Methods inherited from class org.exist.storage.btree.Value
`comparePrefix, compareTo, compareTo, data, dump, endsWith, equals, equals, getAddress, getData, getLength, hashCode, setAddress, start, startsWith, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionStore.DocumentKey

    public CollectionStore.DocumentKey(short collectionId)

### CollectionStore.DocumentKey

    public CollectionStore.DocumentKey(short collectionId,
                                       byte type,
                                       int docId)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.